Package ru.bitel.bgbilling.modules.inet.common.service

# Interface InetDirectoriesService

    public interface InetDirectoriesService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `trafficRangeSpecDelete​(int id)` |
  `TrafficRangeSpec` | `trafficRangeSpecGet​(int id)` |
  `java.util.List<TrafficRangeSpec>` | `trafficRangeSpecList()` |
  `int` | `trafficRangeSpecUpdate​(TrafficRangeSpec trafficRangeSpec)` |

- ## Method Details

  - ### trafficRangeSpecList

    java.util.List<TrafficRangeSpec> trafficRangeSpecList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGIllegalArgumentException, ru.bitel.bgbilling.common.BGIllegalAccessException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGIllegalArgumentException`
      `ru.bitel.bgbilling.common.BGIllegalAccessException`

  - ### trafficRangeSpecGet

    TrafficRangeSpec trafficRangeSpecGet​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGIllegalArgumentException, ru.bitel.bgbilling.common.BGIllegalAccessException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGIllegalArgumentException`
      `ru.bitel.bgbilling.common.BGIllegalAccessException`

  - ### trafficRangeSpecUpdate

    int trafficRangeSpecUpdate​(TrafficRangeSpec trafficRangeSpec) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGIllegalArgumentException, ru.bitel.bgbilling.common.BGIllegalAccessException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGIllegalArgumentException`
      `ru.bitel.bgbilling.common.BGIllegalAccessException`

  - ### trafficRangeSpecDelete

    void trafficRangeSpecDelete​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGIllegalArgumentException, ru.bitel.bgbilling.common.BGIllegalAccessException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGIllegalArgumentException`
      `ru.bitel.bgbilling.common.BGIllegalAccessException`